.table-data {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    min-width: 23em;
    border-bottom: 1px solid #F7F8FC;

    .table-header {
        min-height: 56px;
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 34px;
        padding: 10px;
        background: #F9E5D7;
        border-radius: 16px 16px 0px 0px;

        .action {
            width: 70px;
            display: flex;
            flex-direction: row;
            justify-content: flex-end;
            gap: 10px;
        }

        .lable {
            span {
                font-weight: 600;
                font-size: 13px;
                line-height: 20px;
                color: #8B5252;
            }
        }
    }

    .table-body {
        height: calc(100% - 40px);
        overflow: hidden;
        border: 2px solid transparent;

        &.box{
            border: 2px dashed #7660FE;
        }
        .table-row {
            display: flex;
            align-items: center;
            flex-direction: row;
            gap: 34px;
            padding: 10px;
            background: #FFF;
            cursor: pointer;

            &:nth-child(2n) {
                background: #F7F8FC;
            }
            &.drag-item{
                background: #E5E1FF;
                box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
            }
            &.disabled{
                cursor: not-allowed;
                .action{
                    svg{
                        cursor: no-drop;
                    }
                }
            }
            .action {
                width: 70px;
                display: flex;
                flex-direction: row;
                justify-content: flex-end;
                align-items: center;
                gap: 10px;

                svg {
                    cursor: pointer;
                }
            }

            .lable {
                display: flex;
                flex-direction: column;
                gap: 5px;

                span {
                    font-weight: 600;
                    font-size: 13px;
                    line-height: 20px;

                }
            }
        }

        .no-data{
            height: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
            font-weight: 400;
            font-size: 12px;
            line-height: 20px;
            color: #8E91A0;
        }
    }
}